--- title: "Term lists for a user: Request" slug: "term-lists-for-a-user-request" tags: ["Reference", "NDRC 4.x", "Customer", "Network Security", "NDR 4.x"] updated: 2026-09-09T18:07:45Z published: 2026-09-09T18:07:45Z canonical: "docs.trellix.com/term-lists-for-a-user-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Term lists for a user: Request To get all term lists created by a specified user, send the following request: ``` GET https://:/savedquery/v1/termlist/ ``` Required header: ``` Cookie: px= ``` ### Options - IA_IP_address—The IP address of the NDR appliance running the NDR API. - port_number—The port number of the NDR appliance running the NDR API. - user_name—The name of the user. The user_name must match the name of the logged-in user. - token—This token authenticates the session. By default, the session times out after 24 hours. ### Example ``` GET https://xxx.xxx.xxx.xxx:443/savedquery/v1/termlist/npadmin ``` Required header: ``` Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx ``` ### Term lists for a user: Response ``` HTTP/1.1 [Response Code] [Response Message] Server: [Server] Date: [Date] Content-Type: [Content Type] ownerName: [Owner Name] name: [Term List Name] values: [List Values] ``` ###### Response fields - Response code—A standard HTTP response code. - 200—Request successful; a JSON representation of the term list is returned. - 4xx—Request unsuccessful. - Response message—A standard HTTP response message. - OK—Request successful; a JSON representation of the term list is returned. - Error message—Request unsuccessful. - Server—The server being used. - Date—Standard HTML date format. - Content type—The response format. - Owner Name—The user who created the term list. - Term list name—The unique name of this term list. - List values—The list of values for the term list. The maximum number of values is 1000. ###### Example ``` HTTP/1.1 200 OK Server: nginx Date: Thu, 28 Apr 2016 19:28:21 GMT Content-Type: application/json; charset=utf-8 [  {    "ownerName":"npadmin",    "name":"myfirsttermlist",    "values":[      "evil1.com.",      "evil2.com.",      "evil3.com."    ]  } ] ``` ### cURL code sample: Term lists for a user ``` curl -k -H "Content-Type: application/json" --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/savedquery/v1/termlist/npadmin ``` This cURL sample includes the following options: - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate. - `-H "Content-Type: application/json"`—This header specifies that the request body is in JSON format. - `--cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This option specifies the authentication token for this session. - `https://xxx.xxx.xxx.xxx:443/savedquery/v1/termlist/npadmin`—The saved query request URL. Replace `xxx.xxx.xxx.xxx` with the IP address of your NDR appliance. Replace `npadmin` with the user name of interest. ###### Results This example returns a JSON representation of all term lists created by the specified user.